NX Open C++ Reference Guide
|
Represents a @link Features::SheetMetal::EditCornerBuilder Features::SheetMetal::EditCornerBuilder@endlink <br> To create a new instance of this class, use @link Features::SheetMetal::SheetmetalManager::CreateEditCornerBuilder Features::SheetMetal::SheetmetalManager::CreateEditCornerBuilder @endlink <br>
Default values. More...
Public Types | |
enum | BendClosureTypeOptions { BendClosureTypeOptionsOpen, BendClosureTypeOptionsClosed } |
This enum specifies the type of bend closure required at the corner. More... | |
enum | CornerReliefTypeOptions { CornerReliefTypeOptionsNone, CornerReliefTypeOptionsCircularCutout } |
This enum specifies the type of relief required at the corner. More... | |
enum | PlateClosureTypeOptions { PlateClosureTypeOptionsClosed, PlateClosureTypeOptionsOverlapped } |
This enum specifies the type of plate closure required at the corner. More... | |
Public Member Functions | |
void | AddFacePair (NXOpen::Face *firstFace, NXOpen::Face *secondFace) |
Add a face pair. | |
NXOpen::Features::SheetMetal::EditCornerBuilder::BendClosureTypeOptions | BendClosureType () |
Returns the bend type Created in NX7.5.0. | |
NXOpen::Features::SheetMetal::EditCornerBuilder::CornerReliefTypeOptions | CornerReliefType () |
Returns the corner relief type Created in NX7.5.0. | |
NXOpen::Expression * | Diameter () |
Returns the diameter for a circular cutout Created in NX7.5.0. | |
void | GetFacePair (int index, NXOpen::Face **firstFace, NXOpen::Face **secondFace) |
Return the face pair. | |
int | GetNumberOfFacePairs () |
Returns the number of face pairs already identified for the three bend corner feature. | |
NXOpen::Expression * | OverlapRatio () |
Returns the overlap ratio between plates Created in NX7.5.0. | |
NXOpen::Features::SheetMetal::EditCornerBuilder::PlateClosureTypeOptions | PlateClosureType () |
Returns the plate type Created in NX7.5.0. | |
NXOpen::Expression * | PlateGap () |
Returns the gap value between plates Created in NX7.5.0. | |
void | RemoveFacePair (NXOpen::Face *firstFace, NXOpen::Face *secondFace) |
Removes a face pair (that represents a unique corner) from the list of face pairs already added. | |
bool | ReverseOverlap () |
Returns whether the overlap is reversed or not Created in NX7.5.0. | |
void | SetBendClosureType (NXOpen::Features::SheetMetal::EditCornerBuilder::BendClosureTypeOptions bends) |
Sets the bend type Created in NX7.5.0. | |
void | SetCornerReliefType (NXOpen::Features::SheetMetal::EditCornerBuilder::CornerReliefTypeOptions cornerRelief) |
Sets the corner relief type Created in NX7.5.0. | |
void | SetPlateClosureType (NXOpen::Features::SheetMetal::EditCornerBuilder::PlateClosureTypeOptions plates) |
Sets the plate type Created in NX7.5.0. | |
void | SetReverseOverlap (bool reverseOverlap) |
Sets whether the overlap is reversed or not Created in NX7.5.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::SheetMetal::EditCornerBuilder Features::SheetMetal::EditCornerBuilder@endlink <br> To create a new instance of this class, use @link Features::SheetMetal::SheetmetalManager::CreateEditCornerBuilder Features::SheetMetal::SheetmetalManager::CreateEditCornerBuilder @endlink <br>
Default values.
Property | Value |
---|---|
BendClosureType |
Open |
CornerReliefType |
None |
Diameter.Value |
2.5 (millimeters part), 0.1 (inches part) |
OverlapRatio.Value |
1 |
PlateClosureType |
Closed |
PlateGap.Value |
0 (millimeters part), 0 (inches part) |
Created in NX7.5.0.
void NXOpen::Features::SheetMetal::EditCornerBuilder::AddFacePair | ( | NXOpen::Face * | firstFace, |
NXOpen::Face * | secondFace | ||
) |
Add a face pair.
Created in NX7.5.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
firstFace | A bend face from a bend |
secondFace | A bend face from an adjacent bend |
NXOpen::Features::SheetMetal::EditCornerBuilder::BendClosureTypeOptions NXOpen::Features::SheetMetal::EditCornerBuilder::BendClosureType | ( | ) |
Returns the bend type
Created in NX7.5.0.
License requirements : None
NXOpen::Features::SheetMetal::EditCornerBuilder::CornerReliefTypeOptions NXOpen::Features::SheetMetal::EditCornerBuilder::CornerReliefType | ( | ) |
Returns the corner relief type
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::SheetMetal::EditCornerBuilder::Diameter | ( | ) |
Returns the diameter for a circular cutout
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::SheetMetal::EditCornerBuilder::GetFacePair | ( | int | index, |
NXOpen::Face ** | firstFace, | ||
NXOpen::Face ** | secondFace | ||
) |
Return the face pair.
Created in NX7.5.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
index | Index of the desired face pair |
firstFace | First face of the face pair |
secondFace | Second face of the face pair |
int NXOpen::Features::SheetMetal::EditCornerBuilder::GetNumberOfFacePairs | ( | ) |
Returns the number of face pairs already identified for the three bend corner feature.
@return The number of face pairs currently identified
Created in NX7.5.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::EditCornerBuilder::OverlapRatio | ( | ) |
Returns the overlap ratio between plates
Created in NX7.5.0.
License requirements : None
NXOpen::Features::SheetMetal::EditCornerBuilder::PlateClosureTypeOptions NXOpen::Features::SheetMetal::EditCornerBuilder::PlateClosureType | ( | ) |
Returns the plate type
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::SheetMetal::EditCornerBuilder::PlateGap | ( | ) |
Returns the gap value between plates
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::SheetMetal::EditCornerBuilder::RemoveFacePair | ( | NXOpen::Face * | firstFace, |
NXOpen::Face * | secondFace | ||
) |
Removes a face pair (that represents a unique corner) from the list of face pairs already added.
Created in NX7.5.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
firstFace | A face from an already selected face pair |
secondFace | The other face from the face pair |
bool NXOpen::Features::SheetMetal::EditCornerBuilder::ReverseOverlap | ( | ) |
Returns whether the overlap is reversed or not
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::SheetMetal::EditCornerBuilder::SetBendClosureType | ( | NXOpen::Features::SheetMetal::EditCornerBuilder::BendClosureTypeOptions | bends | ) |
Sets the bend type
Created in NX7.5.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
bends | bends |
void NXOpen::Features::SheetMetal::EditCornerBuilder::SetCornerReliefType | ( | NXOpen::Features::SheetMetal::EditCornerBuilder::CornerReliefTypeOptions | cornerRelief | ) |
Sets the corner relief type
Created in NX7.5.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
cornerRelief | cornerrelief |
void NXOpen::Features::SheetMetal::EditCornerBuilder::SetPlateClosureType | ( | NXOpen::Features::SheetMetal::EditCornerBuilder::PlateClosureTypeOptions | plates | ) |
Sets the plate type
Created in NX7.5.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
plates | plates |
void NXOpen::Features::SheetMetal::EditCornerBuilder::SetReverseOverlap | ( | bool | reverseOverlap | ) |
Sets whether the overlap is reversed or not
Created in NX7.5.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
reverseOverlap | reverseoverlap |